<p id="comment_<% comment.id %>">
<strong><%= comment.title %></strong>
  |
  <% if !comment.user_id.nil? and !User.find(comment.user_id).nil? %>
    <%= User.find(comment.user_id).name  %>
  <% else %>
    Anonymous user
  <% end  %>
  |
  <%= comment.created_at %>
  |
  <% if comment.can_like(current_user.id) %>
    <%= link_to likes_create_path(:comment_id => comment.id, :user_id => current_user.id, :post_id => comment.post_id), method: :post, :remote => true do %>
      <span class="glyphicon glyphicon-thumbs-up"></span>
    <% end %>
    <% else %>

    <%= link_to likes_destroy_path(:comment_id => comment.id, :user_id => current_user.id, :post_id => comment.post_id), method: :post, :remote => true do %>
      <span class="glyphicon glyphicon-thumbs-up like-active"></span>
    <% end %>


<% end %>


  <span id="like_div_<% comment.id %>">
    <%= comment.likes_count %>
  </span>
  |
  <% if comment.can_dislike(current_user.id) %>
    <%= link_to dislikes_create_path(:comment_id => comment.id, :user_id => current_user.id, :post_id => comment.post_id), method: :post, :remote => true do %>
      <span class="glyphicon glyphicon-thumbs-down"></span>
    <% end %>
  <% else %>
    <%= link_to dislikes_destroy_path(:comment_id => comment.id, :user_id => current_user.id, :post_id => comment.post_id), method: :post, :remote => true do %>
      <span class="glyphicon glyphicon-thumbs-down dislike-active"></span>
    <% end %>
  <% end %>

  <span id="dislike_div_<% comment.id %>">
  <%= comment.dislikes_count %>
  </span>

  <% if comment.user_id == current_user.id or @post.user_id == current_user.id%> |
    <%= link_to 'Delete comment', [comment.post, comment],
                method: :delete,
                data: { confirm: 'Are you sure?' } %>
  <% end  %>
</p>

<p>
  <%= comment.content %>
</p>


